Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts
Interface STSService

All Known Implementing Classes:
  AbstractSTSService, STSServiceImpl, STSServiceWsTrustImpl

    public interface STSService

The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service.

Factory : `STSServiceFactory`

Method Summary
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, Duration validity)`
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, int validity)` Deprecated.
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, Duration validity)`
`Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, int validity)` Deprecated.
`Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity)`
`Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, int validity)` Deprecated.

Method Detail

### getToken

    @Deprecated
    Element getToken(Credential headerCredentials,
                                Credential bodyCredentials,
                                List<SAMLAttribute> attributes,
                                List<SAMLAttributeDesignator> designators,
                                String subjectConfirmationMethod,
                                int validity)
                     throws TechnicalConnectorException

  Deprecated.

  Gets the token.

  Parameters:
    `headerCredentials` - Credentials used for securing the SOAP request message.
    `bodyCredentials` - Credentials used for securing the SAML request.
    `attributes` - List of Attributes containing user/organization information.
    `designators` - List of Designators.
    `subjectConfirmationMethod` -
    `validity` - the validity Validity of the session in hours.
  Returns:
    SAML assertion token provided by eHealth-platform.
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getToken

    Element getToken(Credential headerCredentials,
                     Credential bodyCredentials,
                     List<SAMLAttribute> attributes,
                     List<SAMLAttributeDesignator> designators,
                     String subjectConfirmationMethod,
                     Duration validity)
                     throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getToken

    @Deprecated
    Element getToken(Credential headerCredentials,
                                Credential bodyCredentials,
                                List<SAMLAttribute> attributes,
                                List<SAMLAttributeDesignator> designators,
                                String authenticationMethod,
                                String nameQualifier,
                                String value,
                                String subjectConfirmationMethod,
                                int validity)
                     throws TechnicalConnectorException

  Deprecated.

  Parameters:
    `headerCredentials` -
    `bodyCredentials` -
    `attributes` -
    `designators` -
    `subjectConfirmationMethod` -
    `nameQualifier` -
    `value` -
    `validity` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### getToken

    Element getToken(Credential headerCredentials,
                     Credential bodyCredentials,
                     List<SAMLAttribute> attributes,
                     List<SAMLAttributeDesignator> designators,
                     String authenticationMethod,
                     String nameQualifier,
                     String value,
                     String subjectConfirmationMethod,
                     Duration validity)
                     throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### renewToken

    @Deprecated
    Element renewToken(Credential headerCredentials,
                                  Credential bodyCredentials,
                                  Element samlToken,
                                  int validity)
                       throws TechnicalConnectorException

  Deprecated.

  Parameters:
    `headerCredentials` -
    `bodyCredentials` -
    `samlToken` -
    `validity` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### renewToken

    Element renewToken(Credential headerCredentials,
                       Credential bodyCredentials,
                       Element samlToken,
                       Duration validity)
                       throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.